Bug 8026 - [UPDATE REQUEST] gcc 5.3.1 -> 5.4.1
: [UPDATE REQUEST] gcc 5.3.1 -> 5.4.1
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 20:08 MSD by Andrey Bondrov
Modified: 2017-06-14 05:58 MSD (History)
1 user (show)

See Also:
RPM Package: gcc
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2017-06-08 20:08:15 MSD
We can update gcc in rosa2016.1 to new bugfix version.
Comment 1 Andrey Bondrov 2017-06-08 20:09:55 MSD
Advisory: "Update gcc to new bugfix version 5.4.1_2017.05 and rebuild libtool with new gcc (rosa2016.1)"

gcc:
https://abf.rosalinux.ru/build_lists/2878293
https://abf.rosalinux.ru/build_lists/2878294

libtool:
https://abf.rosalinux.ru/build_lists/2878325
https://abf.rosalinux.ru/build_lists/2878326
Comment 2 Andrey Bondrov 2017-06-09 04:09:50 MSD
New Moon built with new GCC and without optimization hacks:

https://abf.rosalinux.ru/build_lists/2878327
https://abf.rosalinux.ru/build_lists/2878328

Please test if it still segfaults on http://html5test.com
Comment 3 Vladimir Potapov 2017-06-09 15:02:22 MSD
The update is sent to expanded testing
**************************************

P.S. Newmoon work fast and error free
Comment 4 Vladimir Potapov 2017-06-13 19:13:54 MSD
gcc-5.4.1_2017.05-1
https://abf.rosalinux.ru/build_lists/2878293
https://abf.rosalinux.ru/build_lists/2878294

libtool-2.4.6-5
https://abf.rosalinux.ru/build_lists/2878325
https://abf.rosalinux.ru/build_lists/2878326
**************************** Advisory *********************
"Update gcc to new bugfix version 5.4.1_2017.05 and rebuild libtool with new gcc (rosa2016.1)
***********************************************************
QA Verified